<div id="mesBugsAResoudre" class="d-flex flex-column pt-1 pb-1 ps-2 pe-2 ">
  <div id="container-title" class="d-flex flex-row align-items-center">
    <i class="fa-solid fa-align-justify w-2 me-1"></i>
    <span class="title">Mes bugs à résoudre</span>
  </div>
  <span class="total-resolved d-flex align-items-center mb-1">
    <input type="checkbox" class="resolvedCheck me-1" value="" disabled="disabled" checked="checked"/>
    <span class="resolvedCheck-count" *ngIf="bugsAResoudre && totalBugsAResoudre" >{{ bugsAResoudre.length }}/{{ totalBugsAResoudre.length }}</span>
  </span>
  <span *ngIf="bugsAResoudre.length != 0" class="gestionnaire-bugs mb-1">Marquer comme résolu</span>
  <span *ngFor="let bug of bugsAResoudre; index as index;" class="intitule-bug mb-1">
    <input type="checkbox" id="resolved" value="resolved"  (click)="openVerticallyCentered(resolveBug, bug)"/><span style="cursor: pointer;" (click)="openVerticallyCentered(mymodal, bug)"> #{{ bug.id }} {{ bug.typeErreur?.nom }}</span>
  </span>
</div>
<!-- popup -->
<ng-template #mymodal let-modal>
  <div class="modal-header">
    <h4 class="modal-title" id="modal-basic-title">#{{ bugDetails.id }} {{ bugDetails.typeErreur?.nom }}</h4>
    <button  type="button" class="btn-close" aria-label="Close" (click)="modal.dismiss('Cross click');"></button>
  </div>
  <div class="modal-body">
    <div class="ps-5 pe-5">
      <table class="bugs-table w-100">
        <caption class="ms-1">Détails du Bug</caption>
        <tr>
          <th scope="col">ID</th>
          <td>{{ bugDetails?.id }}</td>
        </tr>
        <tr>
          <th scope="col">DETAILS</th>
          <td>{{ bugDetails?.fonctionnalite?.details }}</td>
        </tr>
        <tr>
          <th scope="col">COMMENTAIRE</th>
          <td>{{ bugDetails?.commentaire }}</td>
        </tr>
        <tr>
          <th scope="col">SCENARIO</th>
          <td>{{ bugDetails?.fonctionnalite?.scenario }}</td>
        </tr>
        <tr>
          <th scope="col">RESULTAT ATTENDU</th>
          <td>{{ bugDetails?.fonctionnalite?.resultatAttendu }}</td>
        </tr>
        <tr>
          <th scope="col">PROJET</th>
          <td>{{ bugDetails?.projet_projet_id?.nom }}</td>
        </tr>
        <tr>
          <th scope="col">PLAN DE TESTS</th>
          <td>{{ bugDetails?.testPlan?.nom }}</td>
        </tr>
        <tr>
          <th scope="col">GROUPE FONCTIONNALITE</th>
          <td>{{ bugDetails?.groupeFonctionnalites?.nom }}</td>
        </tr>
        <tr>
          <th scope="col">FONCTIONNALITE</th>
          <td>{{ bugDetails?.fonctionnalite?.nom }}</td>
        </tr>
        <tr>
          <th scope="col">BETA TESTEUR</th>
          <td>{{ bugDetails?.betaTesteur?.prenom }} {{ bugDetails?.betaTesteur?.nom }}</td>
        </tr>
        <tr>
          <th scope="col">ASSIGNE A</th>
          <td *ngIf="bugDetails?.assigne_a_utilisateur_id">{{ bugDetails?.assigne_a_utilisateur_id?.prenom }} {{ bugDetails?.assigne_a_utilisateur_id?.nom }}</td>
          <span *ngIf="!bugDetails.assigne_a_utilisateur_id && loggedInUser.role?.id == 2" class="assign-to d-flex flex-row align-items-center" style="cursor: pointer;" (click)="onAssignTo($event, bugDetails)">+</span>

        </tr>
      </table>
    </div>
  </div>
</ng-template>

<!-- popup -->
<ng-template #resolveBug let-modal>
  <div class="modal-header">
    <h4 class="modal-title" id="modal-resloveBug">#{{ bugDetails.id }} {{ bugDetails.typeErreur?.nom }}</h4>
    <button  type="button" class="btn-close" aria-label="Close" (click)="modal.dismiss('Cross click');"></button>
  </div>
  <div class="modal-body">
    <div class="ps-5 pe-5">
      Vous êtes sur le point de marquer le {{ bugDetails.id }} {{ bugDetails.typeErreur?.nom }} comme résolu.
      <br/><br/>
      Voulez-vous continuer ?
      <br/><br/>
    </div>
    <button type="button" class="btn btn-danger w-100 mb-1" data-dismiss="modal" (click)="modal.dismiss('Cross click');">Annuler</button>
    <button class="btn btn-primary w-100" (click)="markAsResolved($event, bugDetails)">Valider</button>
  </div>
</ng-template>
